example_scalar_int: instantiates a few example scalars.(3)

NAME
example_scalar_int: instantiates a few example scalars. - This example merely creates some scalar registrations that allows some simple variables to be accessed via SNMP. More...

  Functions

void init_scalar_int (void)

DETAILED DESCRIPTION

This example merely creates some scalar registrations that allows some simple variables to be accessed via SNMP.

In a more realistic example, it is likely that these variables would also be manipulated in other ways outside of SNMP gets/sets.

If this module is compiled into an agent, you should be able to issue snmp commands that look something like (authentication information not shown in these commands):

snmpget localhost netSnmpExampleInteger.0 netSnmpExampleScalars = 42

snmpset localhost netSnmpExampleInteger.0 = 1234 netSnmpExampleScalars = 1234

snmpget localhost netSnmpExampleInteger.0 netSnmpExampleScalars = 1234